Bug 191948 - [PATCH] security/scanlogd: should use USERS= and GROUPS=
[PATCH] security/scanlogd: should use USERS= and GROUPS=
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: --- Affects Only Me
Assigned To: Roman Bogorodskiy
:
: 191947 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-18 11:32 UTC by TEUBEL György
Modified: 2014-07-23 15:29 UTC (History)
1 user (show)

See Also:


Attachments
patch for security/scanlogd to use USERS= and GROUPS= (2.72 KB, patch)
2014-07-18 11:33 UTC, TEUBEL György
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description TEUBEL György 2014-07-18 11:32:18 UTC
This port has a pkg-message saying the user shuld create a separate user and group for the daemon. The daemon does not start without the user and group so it's not complete out-of-the box.
Comment 1 TEUBEL György 2014-07-18 11:33:05 UTC
Created attachment 144775 [details]
patch for security/scanlogd to use USERS= and GROUPS=
Comment 2 TEUBEL György 2014-07-18 11:50:09 UTC
*** Bug 191947 has been marked as a duplicate of this bug. ***
Comment 3 John Marino freebsd_committer 2014-07-20 14:54:46 UTC
over to maintainer
Comment 4 commit-hook freebsd_committer 2014-07-23 15:26:13 UTC
A commit references this bug:

Author: novel
Date: Wed Jul 23 15:25:50 UTC 2014
New revision: 362703
URL: http://svnweb.freebsd.org/changeset/ports/362703

Log:
  - Use USER and GROUP in Makefile instead of having
    pkg-message suggesting a user to create user and group
    manually
  - Add uid/gid to the UID and GID files respectively
  - Add an UPDATING entry to suggest users of scanlogd to
    drop existing users to avoid conflicts
  - Bump PORTREVISION

  PR:		191948
  Submitted by:	TEUBEL Gy?\195?\182rgy

Changes:
  head/GIDs
  head/UIDs
  head/UPDATING
  head/security/scanlogd/Makefile
  head/security/scanlogd/pkg-message
Comment 5 Roman Bogorodskiy freebsd_committer 2014-07-23 15:29:01 UTC
Committed, thanks!